%define momorel 2
Summary: Library that can be used by applications to access various digital cameras
Name: libgphoto2
Version: 2.1.5
Release: %{momorel}m
License: LGPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/gphoto/%{name}-%{version}.tar.gz 210844f0d88f58842917af6eaff06382
Url: http://www.gphoto.org/
Patch0: libgphoto2-hotplug.patch
PreReq: hotplug
PreReq: /sbin/ldconfig, grep, fileutils
Requires: lockdev
BuildPreReq: automake
BuildPreReq: autoconf
BuildPreReq: gettext
BuildPreReq: libtool
BuildPreReq: libexif-devel >= 0.5.4
BuildPreReq: libusb-devel >= 0.1.6a
BuildPreReq: gtk-doc
BuildPreReq: transfig 
BuildPreReq: cmpskit
BuildPreReq: openjade
BuildPreReq: lockdev-devel

%description
libgphoto2 itself is not a GUI application, opposed to gphoto. There are
GUI frontends for the gphoto2 library, however, such as gtkam for
example.

libgphoto2 can only talk to cameras the language of those it understands.
That is, if you own a camera that speaks a language that isn't published
anywhere and nobody has been able to figure out the meaning of the sentences,
libgphoto2 cannot communicate with those cameras.

%package devel
Summary: Headers and links to compile against the libgphoto2 library.
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Obsoletes: gphoto2-devel
Group: Development/Libraries

%description devel
This package contains the files needed to compile applications that
use libgphoto2.

%prep
rm -rf %{buildroot}
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .hotplug

%build
%configure --enable-docs --with-doc-dir=%{buildroot}%{_docdir}/%{name}
make

%install
rm -rf %{buildroot}

%makeinstall

install -d -m755 %{buildroot}/etc/hotplug/usb/
install -m755 packaging/linux-hotplug/usbcam.console %{buildroot}/etc/hotplug/usb/usbcam

cp -a %{buildroot}%{_docdir}/%{name} installed-doc
rm -rf %{buildroot}%{_docdir}/%{name}
# %find_lang %{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS CHANGES COPYING ChangeLog HACKING INSTALL MAINTAINERS
%doc NEWS README TESTERS
%doc doc/DAEMON 
%{_sysconfdir}/hotplug/usb/usbcam
%{_libdir}/*.so.*
%{_libdir}/gphoto2/
%{_libdir}/gphoto2_port
%{_libdir}/libgphoto2
%{_datadir}/libgphoto2
%{_mandir}/man3/libgphoto2*.3*
%{_datadir}/locale/*/*/*

%post
# add supported cameras to /etc/hotplug/usb.usermap
grep -v '^usbcam' /etc/hotplug/usb.usermap > /etc/hotplug/usb.usermap.tmp
%{_libdir}/libgphoto2/print-usb-usermap |\
        grep -v '^#' >> /etc/hotplug/usb.usermap.tmp
mv /etc/hotplug/usb.usermap.tmp /etc/hotplug/usb.usermap
# register libraries
/sbin/ldconfig

%postun
# unregister libraries
/sbin/ldconfig
if [ "$1" = 0 ]; then
    # remove supported cameras from /etc/hotplug/usb.usermap
    grep -v '^usbcam' /etc/hotplug/usb.usermap > /etc/hotplug/usb.usermap.new
    mv /etc/hotplug/usb.usermap.new /etc/hotplug/usb.usermap
fi

%files devel
%defattr(-,root,root)
%doc installed-doc/html
%{_bindir}/gphoto2-config
%{_bindir}/gphoto2-port-config
%{_includedir}/gphoto2
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Fri Feb  4 2005 Toru Hoshina <t@momonga-linux.org>
- (2.1.5-2m)
- enable x86_64.

* Thu Jan 20 2005 Yuya Yamaguchi <bebe@hepo.jp>
- (2.1.5-1m)
- version 2.1.5
- remove libgphoto2-ac_fix.patch
- gphoto2-hotplug.patch (fedora 2.1.4-5)
- use lockdev (BuildPreReq, Requires)
- clean up %%build section

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (2.1.4-2m)
- revised spec for enabling rpm 4.2.

* Sat Jan 24 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (2.1.4-1m)
- version 2.1.4
- remove libgphoto2-2.1.3-makefile_am.patch

* Fri Oct 31 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (2.1.3-3m)
- version 2.1.3
- add libgphoto2-2.1.3-makefile_am.patch

* Fri Sep 26 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (2.1.2-2m)
- modify %%build section
- add libgphoto2-ac_fix.patch from PLD
- add print-usb-usermap to %%files
- add %%post

* Fri Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.1.2-1m)
- version 2.1.2

* Wed Aug 6 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (2.1.1-3m)
- rebuild against for libexif-0.5.12
- use %%NoSource macro
- %%define momorel

* Thu Feb 13 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.1-2m)
- rebuild against for libexif

* Mon Dec 9 2002 Yuya Yamaguchi <bebe@momonga-linux.org>
- (2.1.1-1m)
- New packages
- gphoto2 command line interface was split from the libgphoto2 library
